<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:30 CEST 2019 -->
<title>Refinement</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Refinement";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Refinement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/Refinement.html" target="_top">Frames</a></li>
<li><a href="Refinement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements</div>
<h2 title="Interface Refinement" class="title">Interface Refinement</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Refinement</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Refinement</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../refinement/model/refinements/Refinement.html#getValue--"><code><em>Value</em></code></a></li>
   <li><a href="../../../refinement/model/refinements/Refinement.html#getReference--"><code><em>Reference</em></code></a></li>
   <li><a href="../../../refinement/model/refinements/Refinement.html#getDifference--"><code><em>Difference</em></code></a></li>
   <li><a href="../../../refinement/model/refinements/Refinement.html#getKind--"><code><em>Kind</em></code></a></li>
   <li><a href="../../../refinement/model/refinements/Refinement.html#getValueStates--"><code><em>Value States</em></code></a></li>
   <li><a href="../../../refinement/model/refinements/Refinement.html#getDate--"><code><em>Date</em></code></a></li>
   <li><a href="../../../refinement/model/refinements/Refinement.html#getLinked--"><code><em>Linked</em></code></a></li>
   <li><a href="../../../refinement/model/refinements/Refinement.html#getState--"><code><em>State</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>RefinementsPackage.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#addValueState-java.lang.String-">addValueState</a></span>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#addValueStates-org.eclipse.emf.common.util.EList-">addValueStates</a></span>(org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;states)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#getDate--">getDate</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Date</b></em>' attribute.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#getDifference--">getDifference</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Difference</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#getKind--">getKind</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Kind</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#getLinked--">getLinked</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Linked</b></em>' reference.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#getReference--">getReference</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Reference</b></em>' attribute.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements">States</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#getState--">getState</a></span>()</code>
<div class="block">Returns the value of the '<em><b>State</b></em>' attribute.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#getValue--">getValue</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Value</b></em>' attribute.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#getValueStates--">getValueStates</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Value States</b></em>' attribute list.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#setDate-java.util.Date-">setDate</a></span>(java.util.Date&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getDate--"><code><em>Date</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#setDifference-java.lang.String-">setDifference</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getDifference--"><code><em>Difference</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#setKind-java.lang.String-">setKind</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getKind--"><code><em>Kind</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#setLinked-refinement.model.refinements.ComposedRefinements-">setLinked</a></span>(<a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getLinked--"><code><em>Linked</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#setReference-java.lang.String-">setReference</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getReference--"><code><em>Reference</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">setRefinement</a></span>(java.lang.String&nbsp;value,
             java.lang.String&nbsp;reference,
             java.lang.String&nbsp;difference,
             java.lang.String&nbsp;kind,
             java.lang.String&nbsp;valueState)</code>
<div class="block">Set value, reference, difference and kind to this refinement.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#setState-refinement.model.refinements.States-">setState</a></span>(<a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements">States</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getState--"><code><em>State</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinement.html#setValue-java.lang.String-">setValue</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getValue--"><code><em>Value</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getReference--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReference</h4>
<pre>java.lang.String&nbsp;getReference()</pre>
<div class="block">Returns the value of the '<em><b>Reference</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Reference</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Reference</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#setReference-java.lang.String-"><code>setReference(String)</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Reference--"><code>RefinementsPackage.getRefinement_Reference()</code></a></dd>
</dl>
</li>
</ul>
<a name="setReference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReference</h4>
<pre>void&nbsp;setReference(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getReference--"><code><em>Reference</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Reference</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getReference--"><code>getReference()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDifference--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDifference</h4>
<pre>java.lang.String&nbsp;getDifference()</pre>
<div class="block">Returns the value of the '<em><b>Difference</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Difference</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Difference</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#setDifference-java.lang.String-"><code>setDifference(String)</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Difference--"><code>RefinementsPackage.getRefinement_Difference()</code></a></dd>
</dl>
</li>
</ul>
<a name="setDifference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDifference</h4>
<pre>void&nbsp;setDifference(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getDifference--"><code><em>Difference</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Difference</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getDifference--"><code>getDifference()</code></a></dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre>java.lang.String&nbsp;getValue()</pre>
<div class="block">Returns the value of the '<em><b>Value</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Value</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Value</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#setValue-java.lang.String-"><code>setValue(String)</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Value--"><code>RefinementsPackage.getRefinement_Value()</code></a></dd>
</dl>
</li>
</ul>
<a name="setValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre>void&nbsp;setValue(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getValue--"><code><em>Value</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Value</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getValue--"><code>getValue()</code></a></dd>
</dl>
</li>
</ul>
<a name="getKind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKind</h4>
<pre>java.lang.String&nbsp;getKind()</pre>
<div class="block">Returns the value of the '<em><b>Kind</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Kind</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Kind</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#setKind-java.lang.String-"><code>setKind(String)</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Kind--"><code>RefinementsPackage.getRefinement_Kind()</code></a></dd>
</dl>
</li>
</ul>
<a name="setKind-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKind</h4>
<pre>void&nbsp;setKind(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getKind--"><code><em>Kind</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Kind</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getKind--"><code>getKind()</code></a></dd>
</dl>
</li>
</ul>
<a name="getValueStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValueStates</h4>
<pre>org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;getValueStates()</pre>
<div class="block">Returns the value of the '<em><b>Value States</b></em>' attribute list.
 The list contents are of type <code>String</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Value States</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Value States</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_ValueStates--"><code>RefinementsPackage.getRefinement_ValueStates()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDate</h4>
<pre>java.util.Date&nbsp;getDate()</pre>
<div class="block">Returns the value of the '<em><b>Date</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Date</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Date</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#setDate-java.util.Date-"><code>setDate(Date)</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Date--"><code>RefinementsPackage.getRefinement_Date()</code></a></dd>
</dl>
</li>
</ul>
<a name="setDate-java.util.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDate</h4>
<pre>void&nbsp;setDate(java.util.Date&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getDate--"><code><em>Date</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Date</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getDate--"><code>getDate()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLinked--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLinked</h4>
<pre><a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&nbsp;getLinked()</pre>
<div class="block">Returns the value of the '<em><b>Linked</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Linked</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Linked</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#setLinked-refinement.model.refinements.ComposedRefinements-"><code>setLinked(ComposedRefinements)</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Linked--"><code>RefinementsPackage.getRefinement_Linked()</code></a></dd>
</dl>
</li>
</ul>
<a name="setLinked-refinement.model.refinements.ComposedRefinements-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLinked</h4>
<pre>void&nbsp;setLinked(<a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getLinked--"><code><em>Linked</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Linked</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getLinked--"><code>getLinked()</code></a></dd>
</dl>
</li>
</ul>
<a name="getState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre><a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements">States</a>&nbsp;getState()</pre>
<div class="block">Returns the value of the '<em><b>State</b></em>' attribute.
 The literals are from the enumeration <a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code>States</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>State</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>State</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code>States</code></a>, 
<a href="../../../refinement/model/refinements/Refinement.html#setState-refinement.model.refinements.States-"><code>setState(States)</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_State--"><code>RefinementsPackage.getRefinement_State()</code></a></dd>
</dl>
</li>
</ul>
<a name="setState-refinement.model.refinements.States-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setState</h4>
<pre>void&nbsp;setState(<a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements">States</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinement.html#getState--"><code><em>State</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>State</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code>States</code></a>, 
<a href="../../../refinement/model/refinements/Refinement.html#getState--"><code>getState()</code></a></dd>
</dl>
</li>
</ul>
<a name="setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefinement</h4>
<pre>void&nbsp;setRefinement(java.lang.String&nbsp;value,
                   java.lang.String&nbsp;reference,
                   java.lang.String&nbsp;difference,
                   java.lang.String&nbsp;kind,
                   java.lang.String&nbsp;valueState)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc -->
 <!-- begin-model-doc -->
 Set value, reference, difference and kind to this refinement.
 <!-- end-model-doc --></div>
</li>
</ul>
<a name="addValueState-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addValueState</h4>
<pre>void&nbsp;addValueState(java.lang.String&nbsp;value)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="addValueStates-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addValueStates</h4>
<pre>void&nbsp;addValueStates(org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;states)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Refinement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/Refinement.html" target="_top">Frames</a></li>
<li><a href="Refinement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
